/*
 * @(#)SubRegionShowable.java	1.2 05/11/17
 *
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package sun.awt;

/**
 * Interface used by Swing to make copies from the Swing back buffer
 * more optimal when using BufferStrategy; no need to copy the entire
 * buffer when only a small sub-region has changed.
 * @see javax.swing.BufferStrategyPaintManager
 *
 * @version 1.2, 11/17/05
 */
public interface SubRegionShowable {
    /**
     * Shows the specific subregion.
     */
    public void show(int x1, int y1, int x2, int y2);

    /**
     * Validates the buffer and if successful shows the specified region.
     *
     * @return true if successful
     */
    // NOTE: this is invoked by swing on the toolkit thread!
    public boolean validateAndShow(int x1, int y1, int x2, int y2);
}

