/*
 * @(#)BufferedOpCodes.java	1.7 06/02/13
 *
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package sun.java2d.pipe;

public class BufferedOpCodes {
    // draw ops
    public static final int DRAW_LINE            = 10;
    public static final int DRAW_RECT            = 11;
    public static final int DRAW_POLY            = 12;
    public static final int DRAW_PIXEL           = 13;
    public static final int DRAW_SCANLINES       = 14;

    // fill ops
    public static final int FILL_RECT            = 20;
    public static final int FILL_SPANS           = 21;

    // copy-related ops
    public static final int COPY_AREA            = 30;
    public static final int BLIT                 = 31;
    public static final int MASK_FILL            = 32;
    public static final int MASK_BLIT            = 33;

    // text-related ops
    public static final int DRAW_GLYPH_LIST      = 40;

    // state-related ops
    public static final int SET_COLOR            = 50;
    public static final int SET_RECT_CLIP        = 51;
    public static final int BEGIN_SHAPE_CLIP     = 52;
    public static final int SET_SHAPE_CLIP_SPANS = 53;
    public static final int END_SHAPE_CLIP       = 54;
    public static final int RESET_CLIP           = 55;
    public static final int SET_ALPHA_COMPOSITE  = 56;
    public static final int SET_XOR_COMPOSITE    = 57;
    public static final int RESET_COMPOSITE      = 58;
    public static final int SET_TRANSFORM        = 59;
    public static final int RESET_TRANSFORM      = 60;

    // context-related ops
    public static final int SET_SURFACES         = 70;
    public static final int SET_SCRATCH_SURFACE  = 71;
    public static final int FLUSH_SURFACE        = 72;
    public static final int DISPOSE_SURFACE      = 73;
    public static final int DISPOSE_CONFIG       = 74;
    public static final int INVALIDATE_CONTEXT   = 75;

    // multibuffering ops
    public static final int SWAP_BUFFERS         = 80;

    // special no-op op code (mainly used for achieving 8-byte alignment)
    public static final int NOOP                 = 90;

    // REMIND: move these into a separate class
    // OGL-specific ops
    public static final int SURFACE_TO_SW_BLIT     = 100;
    public static final int ENABLE_GRADIENT_PAINT  = 110;
    public static final int DISABLE_GRADIENT_PAINT = 111;
    public static final int ENABLE_TEXTURE_PAINT   = 112;
    public static final int DISABLE_TEXTURE_PAINT  = 113;
}
