/*
 * @(#)CountedTimerTask.java	1.2 05/11/17
 *
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package sun.jvmstat.perfdata.monitor;

import java.util.*;

/**
 * A TimerTask subclass that keeps a count of the number of executions
 * of the task.
 *
 * @author Brian Doherty
 * @version 1.2, 11/17/05
 * @since 1.5
 */
public class CountedTimerTask extends TimerTask {

    volatile long executionCount;

    public long executionCount() {
        return executionCount;
    }

    public void run() {
        executionCount++;
    }
}
