/*
 * @(#)SyntaxException.java	1.2 05/11/17
 *
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package sun.jvmstat.perfdata.monitor;

import java.net.*;
import java.io.*;
import java.util.*;
import java.util.regex.*;

/**
 * Class for encapsulating syntax exceptions generated by AliasFileParser.
 *
 * @author Brian Doherty
 * @version 1.2, 11/17/05
 * @since 1.5
 */
public class SyntaxException extends Exception {
    int lineno;

    public SyntaxException(int lineno) {
        this.lineno = lineno;
    }

    public String getMessage() {
        return "syntax error at line " + lineno;
    }
}
