/*
 * @(#)ConstructorUtil.java	1.2 05/06/01
 *
 * Copyright 2005 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package sun.reflect.misc;

import java.lang.reflect.Constructor;

public final class ConstructorUtil {

    private ConstructorUtil() {
    }

    public static Constructor getConstructor(Class cls, Class[] params)
	throws NoSuchMethodException {
	ReflectUtil.checkPackageAccess(cls);
	return cls.getConstructor(params);
    }

    public static Constructor[] getConstructors(Class cls) {
	ReflectUtil.checkPackageAccess(cls);
	return cls.getConstructors();
    }
}
